Bug 613299

Summary: CVE-2010-2497 CVE-2010-2498 CVE-2010-2499 CVE-2010-2500 CVE-2010-2519 CVE-2010-2520 CVE-2010-2527 CVE-2010-2541 freetype various flaws [fedora-all]
Product: [Fedora] Fedora Reporter: Vincent Danen <vdanen>
Component: freetypeAssignee: Marek Kašík <mkasik>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 13CC: behdad, fonts-bugs, kevin
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: freetype-2.3.11-6.fc12 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-10-19 07:22:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 613198, 613154, 613160, 613162, 613167, 613194, 614557, 617342    

Description Vincent Danen 2010-07-10 16:01:53 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

Forr more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=613154

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2010-07-10 16:02:18 UTC
    Adding parent bug CVE-2010-2498
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=613154,613160

Comment 2 Vincent Danen 2010-07-10 16:02:39 UTC
    Adding parent bug CVE-2010-2499
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=613154,613160,613162

Comment 3 Vincent Danen 2010-07-10 16:03:00 UTC
    Adding parent bug CVE-2010-2500
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=613154,613160,613162,613167

Comment 4 Vincent Danen 2010-07-10 16:03:20 UTC
    Adding parent bug CVE-2010-2519
    New bodhi update url:
    https://admin.fedoraproject.org/updates/new/?type_=security&bugs=613154,613160,613162,613167,613194

Comment 5 Vincent Danen 2010-07-10 16:11:07 UTC
Adding CVE-2010-2520.  While it doesn't affect us "out-of-the-box", it would be good to include the fix for those who do rebuild and elect to use that functionality.

    Adding parent bug CVE-2010-2520
    New bodhi update url:
   
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=613154,613160,613162,613167,613194,613198

Comment 8 Fedora Admin XMLRPC Client 2010-09-22 13:54:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Fedora Admin XMLRPC Client 2010-09-22 13:55:03 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Update System 2010-10-04 14:10:12 UTC
freetype-2.3.11-6.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/freetype-2.3.11-6.fc12

Comment 11 Fedora Update System 2010-10-04 14:11:09 UTC
freetype-2.3.11-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/freetype-2.3.11-6.fc13

Comment 12 Fedora Update System 2010-10-05 09:25:09 UTC
freetype-2.3.11-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freetype'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/freetype-2.3.11-6.fc13

Comment 13 Fedora Update System 2010-10-19 07:22:35 UTC
freetype-2.3.11-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-11-01 20:53:00 UTC
freetype-2.3.11-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.